Subject: Re: icmp_unreachable uses wrong ip

From: Patrick McHardy <[email-masked]>
Date: Mon, 02 May 2005 16:52:06 +0200

Hasso Tepper wrote:
> Similar patches have been posted to the list repeatedly AFAIK with no any 
> response from developers. Can someone enlighten us why? Is there something 
> wrong with it? This is the feature people administrating routers would like 
> to have. It makes debugging complicated topologies much easier and all 
> routers I have seen behave this way.

Why can't you simply add the prefered source address to the route?

Regards
Patrick